# Generated from gitlab-release-tools-1.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name gitlab-release-tools

Name: rubygem-%{gem_name}
Version: 1.0.1
Release: 1%{?dist}
Summary: Automation gitlab release tools made simple
License: MIT
URL: https://github.com/andreadelfante/gitlab-release-tools
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(dotenv)
# BuildRequires: rubygem(webmock)
# BuildRequires: rubygem(yard)
BuildArch: noarch

%description
Automation gitlab release tools from MR and issues for your new versions.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.env.example
%{gem_instdir}/.env.gitlab
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.rakeTasks
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_instdir}/exe
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/doc
%doc %{gem_instdir}/gitlab-release-tools.gemspec

%changelog
* Mon Aug 23 2021 mockbuilder - 1.0.1-1
- Initial package
